Bug 236299 - New port: converters/pdf2djvu: resurrect converters/pdf2djvu; update to 0.9.12; level up port compliance
Summary: New port: converters/pdf2djvu: resurrect converters/pdf2djvu; update to 0.9.1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 20:59 UTC by Samy Mahmoudi
Modified: 2019-03-11 09:49 UTC (History)
1 user (show)

See Also:


Attachments
Shell archive (4.01 KB, text/plain)
2019-03-05 21:00 UTC, Samy Mahmoudi
no flags Details
Shell archive (4.13 KB, text/plain)
2019-03-05 23:36 UTC, Samy Mahmoudi
no flags Details
Poudriere log (55.65 KB, text/plain)
2019-03-05 23:37 UTC, Samy Mahmoudi
no flags Details
Shell archive (4.20 KB, text/plain)
2019-03-06 00:03 UTC, Samy Mahmoudi
no flags Details
Poudriere log (55.97 KB, text/plain)
2019-03-06 00:03 UTC, Samy Mahmoudi
no flags Details
Patch file generated with svn diff (4.78 KB, patch)
2019-03-11 01:03 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-03-05 20:59:23 UTC
Resurrect converters/pdf2djvu:
- Fetch the distribution file from GitHub
- Add USES=autoreconf:build and a bootstrap file; define the target pre-configure
- Make the manual within the post-build target
- Add USE_CXXSTD=c++11

- Update to 0.9.12
- Add options COLOR_QUANTIZATION, NLS, MULTITHREADING, and XMP

While here:
- Add LICENSE_FILE
- Patch tools/install-manpages for proper echoing (no functional change)
- Remove the port name from COMMENT to follow the guidelines of the handbook
- Strip the executable within the post-install target

Reference: https://www.freshports.org/converters/pdf2djvu
Comment 1 Samy Mahmoudi 2019-03-05 21:00:54 UTC
Created attachment 202617 [details]
Shell archive
Comment 2 Samy Mahmoudi 2019-03-05 23:10:04 UTC
Poudriere revealed that:
• gettext-tools is needed at built time
• more dependencies are needed to generate the manual page

I am on this...
Comment 3 Samy Mahmoudi 2019-03-05 23:26:49 UTC
Resurrect converters/pdf2djvu:
- Fetch the distribution file from GitHub
- Add USES=autoreconf:build and a bootstrap file; define the target pre-configure
- Make the manual page within the post-build target
- Add USE_CXXSTD=c++11

- Update to 0.9.12
- Add options COLOR_QUANTIZATION, DOCS, NLS, MULTITHREADING, and XMP
- Add missing dependencies

While here:
- Add LICENSE_FILE
- Patch tools/install-manpages for proper echoing (no functional change)
- Remove the port name from COMMENT to follow the guidelines of the handbook
- Strip the executable within the post-install target

Reference: https://www.freshports.org/converters/pdf2djvu
Comment 4 Samy Mahmoudi 2019-03-05 23:36:10 UTC
Created attachment 202622 [details]
Shell archive
Comment 5 Samy Mahmoudi 2019-03-05 23:37:18 UTC
Created attachment 202623 [details]
Poudriere log
Comment 6 Samy Mahmoudi 2019-03-05 23:59:09 UTC
Resurrect converters/pdf2djvu:
- Fetch the distribution file from GitHub
- Add USES=autoreconf:build and a bootstrap file; define the target pre-configure
- Make the manual page within the post-build target
- Add USE_CXXSTD=c++11

- Update to 0.9.12
- Add missing dependencies
- Add CPPFLAGS and LDFLAGS for proper OpenMP activation
- Add options COLOR_QUANTIZATION, DOCS, NLS, MULTITHREADING, and XMP

While here:
- Add LICENSE_FILE
- Patch tools/install-manpages for proper echoing (no functional change) *
- Remove the port name from COMMENT to follow the guidelines of the handbook
- Strip the executable within the post-install target

Reference:
https://www.freshports.org/converters/pdf2djvu
* https://github.com/jwilk/pdf2djvu/commit/5f7e01324b6b982856505ebca764c8553cf984e1
Comment 7 Samy Mahmoudi 2019-03-06 00:03:12 UTC
Created attachment 202626 [details]
Shell archive
Comment 8 Samy Mahmoudi 2019-03-06 00:03:31 UTC
Created attachment 202627 [details]
Poudriere log
Comment 9 Koichiro Iwao freebsd_committer 2019-03-09 03:29:56 UTC
Could you submit a patch versus the snapshot at the point just before the port deleted?
Comment 10 Samy Mahmoudi 2019-03-09 12:07:15 UTC
(In reply to Koichiro Iwao from comment #9)

I will certainly try, at least.
Comment 11 Koichiro Iwao freebsd_committer 2019-03-11 00:45:04 UTC
diff versus r471891 needed.
Comment 12 Samy Mahmoudi 2019-03-11 00:58:53 UTC
(In reply to Koichiro Iwao from comment #11)

I am on my way.
Comment 13 Samy Mahmoudi 2019-03-11 01:03:22 UTC
Created attachment 202788 [details]
Patch file generated with svn diff

Done.
Comment 14 Koichiro Iwao freebsd_committer 2019-03-11 01:08:06 UTC
Thanks, I'm testing.
Comment 15 commit-hook freebsd_committer 2019-03-11 02:32:39 UTC
A commit references this bug:

Author: meta
Date: Mon Mar 11 02:32:06 UTC 2019
New revision: 495325
URL: https://svnweb.freebsd.org/changeset/ports/495325

Log:
  Readd and rework convertes/pdf2djvu

  This port was deleted due to no public distfiles. Now upstream distributes
  tarballs on GitHub [1].

  - Update to 0.9.12
  - Add USES=autoreconf:build and a bootstrap file; define the target pre-configure
  - Make the manual within the post-build target
  - Add USE_CXXSTD=c++11
  - Add options COLOR_QUANTIZATION, NLS, MULTITHREADING, XMP
  - Add LICENSE_FILE
  - Patch tools/install-manpages for proper echoing (no functional change)
  - Remove the port name from COMMENT to follow the guidelines of the handbook
  - Strip the executable within the post-install target
  - Submitter is the new MAINTAINER

  [1] https://github.com/jwilk/pdf2djvu

  PR:		236299
  Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com>

Changes:
  head/MOVED
  head/converters/Makefile
  head/converters/pdf2djvu/
  head/converters/pdf2djvu/Makefile
  head/converters/pdf2djvu/distinfo
  head/converters/pdf2djvu/files/
  head/converters/pdf2djvu/files/bootstrap
  head/converters/pdf2djvu/files/patch-tools_install-manpages
Comment 16 Koichiro Iwao freebsd_committer 2019-03-11 02:34:22 UTC
Committed with minor changes, thanks!
Comment 17 Samy Mahmoudi 2019-03-11 09:49:19 UTC
(In reply to Koichiro Iwao from comment #16)

Thank you!